Bug 1185711 (CVE-2015-1379) - CVE-2015-1379 socat: possible DoS with fork
Summary: CVE-2015-1379 socat: possible DoS with fork
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-1379
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1185942 (view as bug list)
Depends On: 1185945 1185946 1367044
Blocks: 1185712 1185948
TreeView+ depends on / blocked
 
Reported: 2015-01-26 04:37 UTC by Kurt Seifried
Modified: 2019-09-29 13:27 UTC (History)
14 users (show)

Fixed In Version: socat 1.7.3.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 23:40:47 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2015-01-26 04:37:35 UTC
Gerhard Rieger reports:

Socat security advisory 6 - Possible DoS with fork

Overview
  socats signal handler implementations are not async-signal-safe and
  can cause crash or freeze of socat processes

Vulnerability Id: (pending)

Severity: Low

Details
  Socats signal handler implementations are not asnyc-signal-safe. When
  a signal is triggered while the process is within a non
  async-signal-safe function the signal handler will call a non
  sync-signal-safe function too. POSIX specifies the behaviour in this
  situation as undefined. Dependend on involved functions, libraries,
  and operating system, the process can continue, freeze, or crash.
  Mostly this issue occurs when socat is in listening mode with fork
  option and a couple of child processes terminate at the same time.

Testcase
  none

Affected versions
  1.0.0.0 - 1.7.2.4
  2.0.0-b1 - 2.0.0-b7

Not affected or corrected versions
  1.7.3.0 and later
  2.0.0-b8 (to be released) and later

Workaround
  none

Download
  The updated sources can be downloaded from:

    http://www.dest-unreach.org/socat/download/socat-1.7.3.0.tar.gz

Credits
   Credits to Peter Lobsinger

Comment 1 Vasyl Kaigorodov 2015-01-27 09:10:38 UTC
*** Bug 1185942 has been marked as a duplicate of this bug. ***

Comment 2 Martin Prpič 2015-01-28 10:18:48 UTC
MITRE assigned CVE-2015-1379 to this issue:

http://seclists.org/oss-sec/2015/q1/284

Comment 3 Vincent Danen 2015-05-08 19:56:01 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 4 Vincent Danen 2015-05-08 19:57:59 UTC
Tracking bugs have been already filed:

Fedora: bug #1185945
EPEL: bug #1185946


Note You need to log in before you can comment on or make changes to this bug.